EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 edo EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

[AUKERAK]

--compress-images, -i
    Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Txertatu dokumentuan aipatuta eta txertatu gabeko letra-tipo guztiak. Letra-tipoak ordenagailuan bilatuko ditu eta, aurkitu ezkero, dokumentuan txertatuko dira. Dokumentu honetan erabilitako letra-tipoak txertatzeko baimen egokia duzula ziurtatu.

--help, -h
    Erakutsi laguntza mezu hau eta irten

--jacket, -j
    "Liburu estalki" orri bat gehitu liburuaren hasieran liburuaren metadatuekin: izenburua, etiketak, egileak, sailak, iruzkinak, etab. Aurreko estalkirik balego ordeztu egingo da.

--opf, -o
    OPF fitxategirako bide-izena. Liburuaren metadatuak OPF fitxategitik eguneratzen dira.

--remove-jacket
    Ezabatu aurretik txertaturiko liburu estalki orri bat.

--remove-unused-css, -u
    Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that dont match any actual content. These extra rules can slow down readers that need to parse them all.

--smarten-punctuation, -p
    Testu soileko marrak, etenpuntuak, zitak, etab. baliokide tipografiko zuzenetara bihurtu. Kontu izan algoritmoak emaitza okerrak sor ditzakeela. Batez ere ziten hasieran laburdurak agertzerakoan.

--subset-fonts, -f
    Letra-tipoak azpimultzotan jartzea, letra-tipo horrek liburuan erabilitako karaktereak baino ez txertatzean datza. Horrela letra-tipoen fitxategien tamaina ikaragarri gutxitzen da. Onuragarria izenburuentzako letra-tipo zehatz bat erabiltzen badu, izenburuetan agertzen diren karaktereak baino ez txertatzeko. Edo letra-tipoaren bertsio lodia eta etzana izanik, hauek ez badira gehiegi erabiltzen, karaktere batzuetara murrizteko (zein guztiz ezabatzeko). Letra-tipoak azpimultzotan jartzearen alde txar bakarra, geroago aldaketak egiterakoan, gehitutako testuarentzako agian karaktererik ez izatean datza

--verbose
    Emaitza zehatzagoa ekoizten du, erroreak garbitzeko erabilbarriagoa.

--version
    Erakutsi programaren bertsioa zein den eta irten

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal